Bug 1528652 - Currently you can't directly upgrade between the versions
Summary: Currently you can't directly upgrade between the versions
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-guest-tools
Classification: oVirt
Component: Packaging.installer
Version: 4.2-1
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: ovirt-4.2.0
: 4.2-1
Assignee: Yedidyah Bar David
QA Contact: Petr Matyáš
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-22 15:48 UTC by Sandro Bonazzola
Modified: 2018-02-12 10:09 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
The oVirt Guest Tools installer now supports also upgrades.
Clone Of:
Environment:
Last Closed: 2018-02-12 10:09:45 UTC
oVirt Team: Integration
rule-engine: ovirt-4.2+
rule-engine: ovirt-4.3+
lsvaty: testing_ack+


Attachments (Terms of Use)

Description Sandro Bonazzola 2017-12-22 15:48:00 UTC
according to the feature page we have a gap on upgrade: the page https://www.ovirt.org/develop/release-management/features/integration/windows-guest-tools/ state:

Note!: Currently you can't directly upgrade between the versions without either first stopping the services or performing an uninstall.

We should allow to run the upgrade taking care of the needed steps.

Comment 1 Yedidyah Bar David 2017-12-28 10:30:05 UTC
I think was already solved, relevant patch is probably:

https://gerrit.ovirt.org/gitweb?p=ovirt-wgt.git;a=commit;h=b4a640e5546c87108596744f5e10ddee6a026570

Moving to QE for now.

This patch was included at least since 3.6. Other patches cleaned up uninstallation, included in 4.1.

Please try to upgrade from 4.1 to 4.2. Thanks.

Comment 2 Petr Matyáš 2018-01-18 15:02:10 UTC
Verified on rhv-guest-tools-iso-4.2-2.el7ev.noarch

Comment 3 Yedidyah Bar David 2018-01-21 06:25:37 UTC
This bug is on ovirt-guest-tools, not on rhv-guest-tools. Please verify on oVirt. E.g. try to upgrade from [1] to [2]. Also note that the code base is completely different, so please try different flows - different OSes, what happens after reboot, etc. Thanks.

[1] http://resources.ovirt.org/pub/ovirt-4.1/iso/oVirt-toolsSetup/
[2] http://resources.ovirt.org/pub/ovirt-4.2/iso/oVirt-toolsSetup/4.2-1.el7.centos/

Comment 4 Petr Matyáš 2018-01-26 10:13:45 UTC
(In reply to Yedidyah Bar David from comment #3)
> This bug is on ovirt-guest-tools, not on rhv-guest-tools. Please verify on
> oVirt. E.g. try to upgrade from [1] to [2]. Also note that the code base is
> completely different, so please try different flows - different OSes, what
> happens after reboot, etc. Thanks.
> 
> [1] http://resources.ovirt.org/pub/ovirt-4.1/iso/oVirt-toolsSetup/
> [2]
> http://resources.ovirt.org/pub/ovirt-4.2/iso/oVirt-toolsSetup/4.2-1.el7.
> centos/

Upgrade works with provided iso files.

Comment 5 Sandro Bonazzola 2018-02-12 10:09:45 UTC
This bugzilla is included in oVirt 4.2.0 release, published on Dec 20th 2017.

Since the problem described in this bug report should be
resolved in oVirt 4.2.0 release, published on Dec 20th 2017, it has been closed with a resolution of CURRENT RELEASE.

If the solution does not work for you, please open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.